<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <RootNamespace>IOB_WIN_MTC_CLI</RootNamespace>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PublishAot>true</PublishAot>
    <InvariantGlobalization>true</InvariantGlobalization>
    <Configurations>Debug;Release;Remote_DEBUG</Configurations>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="MTConnect.NET" Version="6.5.1" />
    <PackageReference Include="NLog" Version="5.3.4" />
    <PackageReference Include="Spectre.Console" Version="0.49.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\IOB-UT-NEXT\IOB-UT-NEXT.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="logs\.placeholder.log">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="NLog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <Target Name="PostBuild" AfterTargets="PostBuildEvent">
    <Exec Command="&quot;$(ProjectDir)postBuildTgt.bat&quot; &quot;$(ConfigurationName)&quot; &quot;$(TargetDir)&quot;" />
  </Target>

</Project>
